Bug 910734 - Query: How to add 'nvme.ko' kernel module into the initramfs, when you are *booted* into Fedora 18(using ATA disk not NVMe storage).
Summary: Query: How to add 'nvme.ko' kernel module into the initramfs, when you are *b...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-13 12:25 UTC by Baban Devkate
Modified: 2020-12-14 14:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:15:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Baban Devkate 2013-02-13 12:25:39 UTC
Description of problem:

I have installed Fedora 18 on ATA disk and booted it as NVMe disk by executing boot loader at "fs0:\EFI\fedora\grubx64.efi"(where "fs0" is ESP partiton on NVMe storage). I couldn't boot into OS, but dropped on "dracut:/#"  emergency shell prompt. 

These are errors were displayed on console.....


dracut-initqueue[182]:warning could not boot
dracut-initqueue[182]:warning /dev/fedora/root does not exist.
dracut-initqueue[182]:warning /dev/fedora/swap does not exist.
dracut-initqueue[182]:warning /dev/mapper/fedora-root does not exist. 
dracut:/#


Possible workaround- add 'nvme.ko' kernel module into the initramfs, when you are booted into Fedora 18 using ATA disk.

Potential fix- add 'nvme.ko' kernel module into the initramfs.

Query: How to add 'nvme.ko' kernel module into the initramfs, when you are *booted* into Fedora 18(using ATA disk not NVMe storage).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
On reboot it fails with "no root device found"

Expected results:
it should boot OS using native nvme.ko driver

Additional info:

Comment 1 Harald Hoyer 2013-02-18 10:50:37 UTC
(In reply to comment #0)
> Query: How to add 'nvme.ko' kernel module into the initramfs, when you are
> *booted* into Fedora 18(using ATA disk not NVMe storage).

# echo 'add_drivers+=" nvme "' > /etc/dracut.conf.d/nvme.conf
# dracut -f

Comment 2 Harald Hoyer 2013-05-29 12:48:32 UTC
commit af2716626aa0243457c0e00fdd457f97269a50b3

Comment 3 Fedora End Of Life 2013-12-21 15:38:50 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 23:15:50 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 John 2019-12-23 14:12:52 UTC
So I've just cloned my ssd to an nvme drive.

And, fedora won't boot.

My old Linux Mint partition booted tho, so I had a look around and deduced that I've just hit this issue.

Well done Fedora.

This bug was exposed 7 years ago, and Fedora still haven't fixed it.

It's almost 2020, and fedora isn't including nvme in the ramdisk, by default.

WAKE UP.
It is not work saving the 20 KB this driver probably uses, in this day and age.

Do your users a favour and INCLUDE NVME DRIVERS IN ALL RAMDISKS EVEN IF THERE IS CURRENTLY NO NVME IN THE SYSTEM.

Comment 6 Adrien Faveraux 2020-12-14 14:51:42 UTC
Hello, 
same problem on fedora 33 ! nvme disk is more and more used, adding nvme driver should be the default !

echo 'add_drivers+=" nvme "' > /etc/dracut.conf.d/nvme.conf
# dracut -f


Note You need to log in before you can comment on or make changes to this bug.